gnutls_dh_get_peers_public_bits(3)

NAME
gnutls_dh_get_peers_public_bits - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_dh_get_peers_public_bits(gnutls_session_t session);

ARGUMENTS

gnutls_session_t session
    is a gnutls session

DESCRIPTION
Get the Diffie-Hellman public key bit size. Can be used for both anonymous and ephemeral Diffie-Hellman.

RETURNS
The public key bit size used in the last Diffie-Hellman key exchange with the peer, or a negative error code in case of error.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2016 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/